Bug 50299 - gnome-upgrade.py is broken
gnome-upgrade.py is broken
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-29 23:54 EDT by Christopher Blizzard
Modified: 2007-04-18 12:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-01 10:07:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (663 bytes, patch)
2001-07-29 23:55 EDT, Christopher Blizzard
no flags Details | Diff

  None (edit)
Description Christopher Blizzard 2001-07-29 23:54:27 EDT
Description of Problem:

When using an old version of the desktop settings gnome-upgrade.py won't
dismiss after asking if you want to upgrade to Nautilus.

How Reproducible:

Every time

Steps to Reproduce:
1. Use an old account
2. startx
3. Try to upgrade

Actual Results:

The upgrade window just hangs and you can't dismiss it.

Expected Results:

That the window will dismiss and Nautilus will be started.

Additional Information:
	
It's a bug in the script itself. ( Did anyone test this? )  I'll attach a
patch in a moment.
Comment 1 Christopher Blizzard 2001-07-29 23:55:28 EDT
Created attachment 25331 [details]
patch
Comment 2 Owen Taylor 2001-07-30 15:13:07 EDT
I assume there are other fixes waiting for the upgrade script,
probably easiest handled as part of this rather than a separate
gnome-core build.
Comment 3 Glen Foster 2001-07-30 15:24:02 EDT
This defect is considered MUST-FIX for Fairfax
Comment 4 Havoc Pennington 2001-08-01 11:45:32 EDT
Alex is building gnome-core-1.4.0.4-20 which should resolve this issue.

Note You need to log in before you can comment on or make changes to this bug.